<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include_once ("base/listaDestaque.class.php");



class destaque extends elemento{
	
	var $tipoD, $idCatD;
	
	
	function destaque() {
        //$c= new categoria;
        $this->tipoD=$_REQUEST['tipoD']?$_REQUEST['tipoD']:$this->req['tipoD'];
        $this->idCatD=$_REQUEST['idCatD']?$_REQUEST['idCatD']:$_REQUEST['idCat'];

  	}
	
  	
	/*function guardar(){
		$this->req['procurar']="";
		//$this->id=$this->req['idOld'];
		parent::guardar($this->id);
		$this->fechar();
	}
	
	function apagar($id){
		$this->req['procurar']="";
		parent::apagar($id);
	}*/
	
  	function novo($id){
  	
  		/*if ($_REQUEST['go'])
  		$this->escolher($id);
  		else*/
  		$this->escolher($id);
  		
  	}
  	

	function listar(){
		
		//if ($this->req['procurar']) {$this->editar($this->req['id']);exit;}
		//print "idCat:" .$this->idCat;
		
		$db= new dbElemento;
		
		$campos=array("Nr destaque"=>"id", "Nr"=> "idD" , "Titulo"=> "titulo", "Categoria"=> "categoria" , "Tipo"=> "tipoD");

		$dados1=$db->getLista($this->tipo, $this->idCat, '*' , "id", "1" ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
		//$this->tipoD=$this->req['tipoD'];
		//$dados=$db->getListaComposta("destaque, ".$this->tipoD.", categoria", "", "destaque.id, destaque.idD," . $this->tipoD .".titulo , categoria.id as categoria, destaque.tipoD","destaque.id", 1, 0,50, $this->req['procurar'], $this->req['filtro'], $whereSql="destaque.idD=".$this->tipoD.".id and destaque.idCatD=categoria.id and destaque.idCat=" .$this->idCat);
		//print_rr($dados1);
		
		$tam=sizeof($dados1);
		for ($i=0; $i < $tam; $i++){
			$dados[$i]['id']=$dados1[$i]['id'];
			$dados[$i]['idD']=$dados1[$i]['idD'];
			//$dados[$i]['idCatD']=$dados1[$i]['idCatD'];
			$tempLinha=$db->getLinha($dados1[$i]['tipoD'], $dados1[$i]['idD']);
			$dados[$i]['titulo']=$tempLinha['titulo'];
			$dados[$i]['categoria']=$this->path($dados1[$i]['idCatD']);
			$dados[$i]['tipoD']=$dados1[$i]['tipoD'];
			//$dados[$i]['tam']=$dados1[$i]['tam'];
			//$dados[$i]['ordem']=$dados1[$i]['ordem'];
		}
		
		$f= new listaDestaque($campos, $dados, $this->req);
		
		$toolbar= new toolbar(); 
		//$toolbar->botao();
		//$toolbar->ini();
		$toolbar->fim();
		$f->titulo();
		
		$f->cabecaSimples();
		
		$f->tabela(false,false, false );
		$f->mostra();

	}
	

	/* escolhe a categoria */
	function escolher(){

		$campos=array("Nr"=>"id","Categoria"=> "categoria" , "Tipo"=>"tipo1");
		
		$db= new dbElemento;
			
		$this->req['filtro']['tipo1']="noticia";
		$dados=$db->getLista("categoria", "", $campos , "ordem", 1 ,0, 150, $this->req['procurar'], $this->req['filtro'] );
		
	
		/////////////////////////////////////////////////////////////////////////////////////////
		
		$tam=sizeof($dados);
		for ($id=0; $id < $tam; $id++){
			$dados[$id]['categoria']=$this->path($dados[$id]['id']);
		}
		
		$f= new listaDestaque($campos, $dados, $this->req);
	
		//$f->campoValor($id, $this->req['id']);
		
		$f->titulo();
		$f->titulo("Escolher Categoria");
		$f->cabecaSimples();
		$f->tabelaEscolher();
		$f->mostra();
	}
	
	/** escolhe a noticia */
	function editar(){

		if (empty($this->req['idCatD']) ){
			$this->escolher();
			exit;
		}
		
		$campos=array("Nr"=>"id","Titulo"=> "titulo");

		$db= new dbElemento;
		
		$linha=$db->getLinha("categoria", $_REQUEST['idCatD']);
		//$tipoD=$linha['tipo1'];
		$tipoD=$_REQUEST['tipoD'];
		//if ($this->tipo=="3R") $filtro['idRevista']=$maxRevista;
		$this->req['filtro']['estado']=1;
		
		$dados=$db->getLista($tipoD, $this->req['idCatD'], $campos , "titulo", 1 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
		$this->req['total']=$db->getTotal($tipoD, $this->req['idCatD'], $this->req['procurar'], $this->req['filtro']);
				
		$f= new listaDestaque($campos, $dados, $this->req);

		$toolbar= new toolbar(); 
		
      	$extra="&cmd=editar&idOld=".$this->req['idOld']."&idCatD=".$this->req['idCatD'] . "&TipoD=" . $tipoD;
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total'], $extra);
		$toolbar->ini();
		$toolbar->fim();

		$f->titulo();
		$f->titulo("Escolher Artigo/noticia");
		$f->cabecaSimples();
		$f->tabelaEditar();
		$f->mostra();
	}
	
    function path($id, $cat="categoria"){
      $path="";	
      if ($id){
    		$sql = "select * from $cat where id=$id";
            $d= new dbCategoria;
    		$lista =  $d->get( $sql );	
    		$path .=$this->path($lista[0]['idPai'], $cat) . $lista[0]['categoria'] ." / ";
        } else $path="/";
		return $path;
    }
    
    
	function filhos($id=0, $dados){
		$campos=array("Nr"=>"id","Categoria"=> "categoria" , "Tipo"=>"tipo1");
		
		$db= new dbElemento;
		
		$this->req['filtro']['id']=$id;
		$dados1=$db->getLista("categoria", "", $campos , "categoria", 1 ,0, 150, $this->req['procurar'], $this->req['filtro'] );
		$dados = array_merge($dados, $dados1);
		
		$sql = "select * from categoria where idPai=$id";
		$lista =  $db->get( $sql );
		
		if ($lista){
			foreach($lista as $row	){
				$this->filhos($row['id'], $dados);
			}
		}
	
	
	}

}
?>
